For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns a list of time bookings.
      • POSTCreates a new time booking for a given project and user.
      • PUTUpdates a given time booking.
      • DELDeletes a time booking by id.
      • GETReturns the time bookings in a specified time range for a list of users.
      • GETReturns the time bookings in a specified time range for a list of users.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Bookings

Returns the time bookings in a specified time range for a list of users.

GET
https://api.awork.com/api/v1/users/timebookings
GET
/api/v1/users/timebookings
$curl -G https://api.awork.com/api/v1/users/timebookings \
> -H "Authorization: Bearer <token>" \
> --data-urlencode userIds=123e4567-e89b-12d3-a456-426614174000,223e4567-e89b-12d3-a456-426614174001 \
> -d intervalStart=intervalStart \
> -d intervalEnd=intervalEnd
1[
2 {
3 "userId": "123e4567-e89b-12d3-a456-426614174000",
4 "timeBookings": [
5 {
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "createdOn": "2022-03-11T15:33:47.100Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2022-03-11T21:15:00.100Z",
10 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
11 "userId": "123e4567-e89b-12d3-a456-426614174000",
12 "projectId": "123e4567-e89b-12d3-a456-426614174000",
13 "startDate": "2024-05-15",
14 "endDate": "2024-05-18",
15 "duration": 1,
16 "description": "Blocker for a new project",
17 "laneOrder": 1,
18 "isAnonymized": true
19 }
20 ]
21 }
22]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Endpoint to get all retainers for a project.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

userIdsstringRequired
The ids of the users.
intervalStartstringRequiredformat: "date"
The start of the interval.
intervalEndstringRequiredformat: "date"
The end of the interval.

Response

OK
userIdstringformat: "uuid"
The user id to which the time bookings belong.
timeBookingslist of objects or null
The list of time bookings of the user.

Errors

400
Bad Request Error
401
Unauthorized Error